#include <stdio.h>

main() {

	int  char_count;
	char ptr[] = "строка";

	printf("\n%23d  \n%e  \n%.3E  \n%f  \n%+g  \n%-23G \n\n",
			  1111,   0.01, 0.01,   0.01, 0.01,  0.0000001);

	printf("%s%n", ptr,  &char_count);
	printf("\n\nПредыдущая функция вывела %d символов.\n\n", char_count);

	printf("Это %s, расположенная по адресу %Lp.\n\a", ptr, ptr);
}

